The Zend_Loader autoloading feature is one of the most used features of Zend Framework and it is widely used in conjunction with other frameworks, like Symfony and ezComponents.

As many have already noticed, with the newly released Zend framework 1.8.0, if you are using Zend_Loader::registerAutoload you will get a warning that it is deprecated and that it will get removed in 2.0

This warning will show when you use something like:

require_once 'Zend/Loader.php';
Zend_Loader::registerAutoload();

The new way of using it is

require_once 'Zend/Loader/Autoloader.php';
$loader = Zend_Loader_Autoloader::getInstance();
$loader->registerNamespace('Namespace_');

For more information please look at the manual page.